import { Provider } from "react-redux"
import { AlertComponent } from "./AlertComponent"

export const AlertProvider = ({ children, store }: { children: JSX.Element, store?: any }): JSX.Element => {

  return (
    <>
      {
        store ?
          <Provider store={store}>
            <AlertComponent>
              {children}
            </AlertComponent>
          </Provider> :
          <AlertComponent>
            {children}
          </AlertComponent>
      }
    </>
  )
}
