import { ToastContainer, toast } from 'react-toastify'
import 'react-toastify/dist/ReactToastify.css'
import { ToastType } from '../types/toastType'
import { useEffect } from 'react'

export const ToastAlert = ({ type, message, promise, config }: ToastType): JSX.Element => {
  useEffect(() => {
    if (type === 'error') {
      toast.error(message, {
        toastId: message
      })
    } else if (type === 'warning') {
      toast.warning(message, {
        toastId: message
      })
    } else if (type === 'success') {
      toast.success(message, {
        toastId: message
      })
    } else if (type === 'info') {
      toast.info(message, {
        toastId: message
      })
    } else if (type === 'promise') {
      if (promise !== undefined && config !== undefined) {
        toast.promise(
          promise,
          config
        )
      }
    }
  })

  return (
    <ToastContainer
      position={'top-right'}
      autoClose={5000}
      hideProgressBar={false}
      closeOnClick={true}
      pauseOnHover={false}
      draggable={false}
      pauseOnFocusLoss={false}
      theme={'colored'} />
  )
}
